Subject: Re: What to do?

From: [email-masked]
Date: Thu, 10 Feb 2005 14:45:56 EST

I don't know if you are aware of it or not but our website is really  screwed 
up this morning!!!!!
 
If I type in Darwinnday.org what comes up is a list of numbers etc. We had  
better have Andrew come in as soon as he can and work on it. perhaps we even  
need a more senior person?
 
Bob